import { whitespace as e } from "../../../../hast-util-whitespace/lib/index.js";
//#region ../../node_modules/hast-util-to-html/lib/omission/util/siblings.js
var t = i(1), n = i(-1), r = [];
function i(t) {
	return n;
	function n(n, i, a) {
		let o = n ? n.children : r, s = (i || 0) + t, c = o[s];
		if (!a) for (; c && e(c);) s += t, c = o[s];
		return c;
	}
}
//#endregion
export { t as siblingAfter, n as siblingBefore };
